#
# spec file for package man-pages
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           man-pages
BuildRequires:  fdupes
Url:            http://www.kernel.org/pub/linux/docs/manpages/
License:        BSD3c(or similar) ; GPLv2+ ; Other uncritical OpenSource License
Group:          Documentation/Man
AutoReqProv:    on
Version:        3.32
Release:        9.1
Summary:        Linux  Manual Pages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         man-pages-%{version}.tar.bz2
Source1:        shadow.5
Source2:        gai.conf.5
Source3:        iconv.1
Patch:          man-pages.eal3.diff
Patch3:         %{name}_gai.conf-reference.patch
Patch5:         %{name}-tty_ioctl.patch
Patch6:         %{name}-resolv.conf.patch
Patch7:         man-pages-crypt.diff
Patch8:         man-pages-3.32-race-directIO-fork.patch
BuildArch:      noarch

%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).  The man pages are organized into the
following sections: Section 1, user commands (intro only); Section 2,
system calls; Section 3, libc calls; Section 4, devices (e.g., hd, sd);
Section 5, file formats and protocols (e.g., wtmp, /etc/passwd, nfs);
Section 6, games (intro only); Section 7, conventions, macro packages,
etc. (e.g., nroff, ascii); and Section 8, system administration (intro
only).



Authors:
--------
    "Michael Kerrisk" <mtk.manpages@googlemail.com>

%prep
%setup -q
%patch -p2
%patch3
%patch5 -p1
%patch6
%patch7 -p1
%patch8
find -name "*.orig" | xargs rm -fv

%build
cp %SOURCE1 man5/
cp %{SOURCE2} man5/
cp %{SOURCE3} man1/
# not actual anymore
rm -f man2/ioctl_list.2
# nfs-utils
rm -f man5/exports.5
# coreutils, diffutils
rm -f man1/vdir.1 man1/touch.1 man1/rmdir.1 man1/rm.1 man1/mv.1 man1/mknod.1 man1/mkfifo.1 man1/mkdir.1 man1/ls.1 man1/ln.1 man1/install.1 man1/du.1 man1/dircolors.1 man1/dir.1 man1/diff.1 man1/df.1 man1/dd.1 man1/cp.1 man1/chown.1 man1/chmod.1 man1/chgrp.1 man3/getaddrinfo.3.orig man3/{getifaddrs.3,freeifaddrs.3}

%install
mkdir -p $RPM_BUILD_ROOT%{_mandir}
for i in man? ; do
  mkdir -p $RPM_BUILD_ROOT%{_mandir}/$i
  cp -p $i/* $RPM_BUILD_ROOT%{_mandir}/$i/
done
cd $RPM_BUILD_ROOT%{_mandir}
RETVAL=0
ARE_MISSING=""
for i in */* ; do
    FOUND=0
    grep "^.so man" $i && FOUND=1
    if [ $FOUND == 1 ] ; then
      if [ ! -f `grep "^.so man" $i | awk '{print $2}'` ]; then
	ARE_MISSING="$i $ARE_MISSING"
        RETVAL=1
      fi
    fi
done
echo ""
echo "The following manual pages are now missing (for .so reference):"
echo $ARE_MISSING
echo ""
if [ $RETVAL -ne 0 ] ; then
  exit $RETVAL
fi
%fdupes -s $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc %{_mandir}/man*/*.gz
%doc README
%doc man-pages-*.Announce
%doc man-pages-*.lsm
%doc Changes

%changelog
* Tue May 22 2012 pgajdos@suse.com
- open.2: Describe race of direct I/O and fork()
  see [bnc#753103], [bnc#742607], [bnc#470005]
* Tue Aug 23 2011 lnussel@suse.de
- document 2y algorithm in crypt(3) (bnc#713389)
* Mon Dec  6 2010 pgajdos@suse.cz
- updated to 3.32
* Mon Nov 15 2010 pgajdos@suse.cz
- updated to 3.31
* Thu Nov  4 2010 pgajdos@suse.cz
- updated ot 3.30
* Thu Oct 21 2010 pgajdos@suse.cz
- updated to 3.29
* Tue Oct 12 2010 pgajdos@novell.com
- updated to 3.28
* Thu Sep 23 2010 pgajdos@suse.cz
- updated to 3.27
* Tue Sep 14 2010 pgajdos@suse.cz
- updated to 3.26
* Tue Jun 22 2010 pgajdos@suse.cz
- updated to 3.25
- quotactl.2 manual page was moved from quota to man-pages
  [bnc#587393]
* Mon Mar  1 2010 pgajdos@suse.cz
- updated to 3.24
- refreshed tty_ioctl.patch
* Thu Nov 19 2009 pgajdos@suse.cz
- added iconv.1 man-page from debian [bnc#480353]
* Mon Oct  5 2009 pgajdos@suse.cz
- updated to 3.23
* Tue Aug 18 2009 pgajdos@suse.cz
- added description of single-request into resolv.conf [bnc#531855]
  * resolv.conf.patch
* Thu Aug  6 2009 pgajdos@suse.cz
- updated to 3.22
* Thu Jun 18 2009 pgajdos@suse.cz
- updated to 3.21
* Tue Mar 10 2009 pgajdos@suse.cz
- updated to 3.19
* Tue Jan 20 2009 pgajdos@suse.cz
- updated to 3.17
* Mon Dec 15 2008 pgajdos@suse.cz
- updated to 3.15, fixes [bnc#441558]
* Mon Nov 24 2008 pgajdos@suse.cz
- removed host.conf.patch, command mdns on/off no longer available
  [bnc#446017]
* Tue Nov 18 2008 pgajdos@suse.cz
- updated to 3.13
* Tue Oct 14 2008 pgajdos@suse.cz
- updated to 3.11
  * removed dirent-h.patch, issue fixed upstream
* Tue Oct  7 2008 pgajdos@suse.cz
- updated to 3.10
* Mon Sep 29 2008 pgajdos@suse.cz
- <linux/dirent.h> -> <dirent.h> [bnc#429420]
  * dirent-h.patch
* Thu Sep 11 2008 pgajdos@suse.cz
- updated to 3.09
* Mon Sep  8 2008 pgajdos@suse.de
- Auto-Update to version 2.79
* Wed Aug 20 2008 pgajdos@suse.cz
- updated to 3.07:
  * core.patch removed because was merged upstream
  * splitted man-pages-posix to follow upstream
* Tue Jul 15 2008 pgajdos@suse.cz
- added missing include in tty_ioctl.4 [bnc#408439]
  (tty_ioctl.patch)
* Tue May 13 2008 pgajdos@suse.cz
- modified man-pages_core.patch according to upstream
* Mon Apr 14 2008 pgajdos@suse.de
- Auto-Update to version 2.79
* Thu Apr 10 2008 pgajdos@suse.de
- Auto-Update to version 2.68
* Thu Apr 10 2008 pgajdos@suse.cz
- updated to 2.79
- added information about piping core dump to the command
  [#377861] (man-pages_core.patch)
- adjusted man-pages_gai.conf-reference.patch
* Thu Nov 22 2007 pgajdos@suse.cz
- adjusted man-pages_gai.conf-reference.patch after auto-update
* Wed Nov 21 2007 pgajdos@suse.de
- Auto-Update to version 2.68
* Tue Nov 20 2007 pgajdos@suse.de
- Auto-Update to version 2.67
* Tue Nov 20 2007 pgajdos@suse.de
- Auto-Update to version 9]*
* Mon Nov 19 2007 pgajdos@suse.de
- Auto-Update to version 9]*
* Mon Nov 19 2007 pgajdos@suse.de
- Auto-Update to version 9]*
* Mon Nov 19 2007 pgajdos@suse.de
- Auto-Update to version 9]*
* Mon Nov 19 2007 pgajdos@suse.de
- Auto-Update to version 9]*
* Mon Oct 22 2007 pgajdos@suse.de
- Auto-Update to version 2.67
* Mon Oct  8 2007 pgajdos@suse.de
- Auto-Update to version 2.66
* Fri Sep 21 2007 pgajdos@suse.cz
- removed redundant patch after auto-update
- removed getaddrinfo.3.orig
* Fri Sep 21 2007 pgajdos@suse.de
- Auto-Update to version 2.65
* Fri Sep 21 2007 pgajdos@suse.cz
- man1p/ipcs.1p was returned back [#274338]
* Fri Sep 14 2007 pgajdos@suse.cz
- added gai.conf(5) [#310290]
- added reference to it in getaddrinfo(3) (gai.conf-reference.patch)
* Fri Aug 10 2007 pgajdos@suse.cz
- shortened wrong_references.patch
- added fdupes stuff
* Fri Aug 10 2007 pgajdos@suse.de
- Auto-Update to version 2.64
* Sat Jul 21 2007 pgajdos@suse.cz
- repared some wrong .so references
  * wrong_references.patch
- some minor spec file changes
* Fri Jul 20 2007 pgajdos@suse.de
- Auto-Update to version 2.63
* Fri Jul 13 2007 pgajdos@suse.de
- Auto-Update to version 2.62
* Tue Jul 10 2007 kukuk@suse.de
- Auto-Update to version 2.61
* Tue Jul  3 2007 pgajdos@suse.cz
- update to 2.60 [#288732]
* Thu May 31 2007 pgajdos@suse.cz
- workaround in spec file: remove deprecated
  man1p/ipcs.1p [#274338]
* Fri Dec  1 2006 kukuk@suse.de
- Auto-Update to version 2.43
* Sat Nov 25 2006 kukuk@suse.de
- Auto-Update to version 2.42
* Sat Oct 14 2006 kukuk@suse.de
- Auto-Update to version 2.41
* Wed Oct 11 2006 kukuk@suse.de
- Auto-Update to version 2.40
* Sun Aug  6 2006 kukuk@suse.de
- Auto-Update to version 2.39
* Fri Aug  4 2006 kukuk@suse.de
- Auto-Update to version 2.38
* Thu Aug  3 2006 kukuk@suse.de
- Auto-Update to version 2.37
* Thu Jul 27 2006 kukuk@suse.de
- Remove nscd.conf(5) patch, is now upstream
* Mon Jul 17 2006 kukuk@suse.de
- Auto-Update to version
* Tue Jul  4 2006 jreuter@suse.de
- Adding previously undocumented nscd options to nscd.conf(5)
  (#173228)
* Tue Jun 20 2006 kukuk@suse.de
- Auto-Update to version 2.34
* Tue May 30 2006 kukuk@suse.de
- Auto-Update to version 2.33
* Wed May 17 2006 kukuk@suse.de
- Update to version 2.32
  - document all *at() functions
  - lot of small corrections about error handling in various places
* Mon Apr 24 2006 kukuk@suse.de
- Auto-Update to version 2.29
* Sat Mar 25 2006 autobuild@suse.de
- Auto-Update to version 2.27
* Mon Mar 20 2006 autobuild@suse.de
- Auto-Update to version 2.26
* Fri Mar  3 2006 kukuk@suse.de
- Update to version 2.25
  - New pages describing POSIX message queue API
* Tue Feb 14 2006 kukuk@suse.de
- Update to version 2.23
* Tue Jan 31 2006 kukuk@suse.de
- Remove quotactl.2 (is part of quota package)
- Update to version 2.21
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 kukuk@suse.de
- Make it a not nearly-all package (and really noarch)
* Tue Jan 17 2006 kukuk@suse.de
- Auto-Update to version 2.20
* Tue Mar 29 2005 kukuk@suse.de
- Add shadow.5 manual page
* Wed Oct 13 2004 ro@suse.de
- make patches apply again
* Fri Sep 24 2004 kukuk@suse.de
- host.conf: document mdns option
* Wed May 26 2004 ro@suse.de
- remove .orig files
* Tue May 25 2004 thomas@suse.de
- added changes from SLES8 for EAL3+ needed for EAL4+ too
* Fri May 21 2004 kukuk@suse.de
- Update to manual page 1.67 (Update POSIX copyright)
* Mon Apr  5 2004 kukuk@suse.de
- Remove ioctl_list.2 manual page for kernel 1.3 to not confuse
  ISVs [Bug #38208]
* Mon Feb 23 2004 kukuk@suse.de
- Fix .so reference for strtoull.3p
* Thu Jan 29 2004 kukuk@suse.de
- Add man?p directories to filelist
* Wed Jan 28 2004 kukuk@suse.de
- Cleanup specfile
* Tue Jan 27 2004 kukuk@suse.de
- Install POSIX manual pages, too
* Thu Aug 28 2003 ro@suse.de
- updated specfile
* Wed Aug 13 2003 kukuk@suse.de
- Revert last change
* Tue Aug  5 2003 ro@suse.de
- fix test
* Tue Aug  5 2003 ro@suse.de
- don't stop for missing man-pages present in system
* Thu Feb 13 2003 olh@suse.de
- correct example in dlopen manpage
* Fri Mar  1 2002 ro@suse.de
- no COPYING file in source anymore, adapt specfile
* Mon Apr  9 2001 kukuk@suse.de
- Next try.
* Sat Apr  7 2001 kukuk@suse.de
- Fix compression of manual pages
* Thu Mar 29 2001 kukuk@suse.de
- Make sure we don't have manual pages with a .so refernce to a
  non-existing manual page [Bug #5061]
* Sun Dec 10 2000 kukuk@suse.de
- Fix use of RPM macro
* Tue Oct 31 2000 kukuk@suse.de
- Rename ldpman to man-pages
- Use bzip2 version
* Wed Jan  5 2000 kukuk@suse.de
- Mark COPYING and README.FSF as doc
- Move from /usr/man to /usr/share/man
* Mon Jun  7 1999 bs@suse.de
- made package "noarch"
* Thu Jan 14 1999 bs@suse.de
- don't include those man pages, that are already in the system.
* Wed Oct 15 1997 ro@suse.de
- ready for autobuild
